Gänget bakom Battlefield 1942-modifikationen Desert Combat har släppt en patch med versionsnummer 0.25. Denna gör att modden kan spelas tillsammans med version 1.3 av originalet. Patchen kräver att man har DC 0.2 och förstås BF1942 1.3 installerade, vilka båda finns i vårt filarkiv.

Desert Combat >>
Battlefield 1942 1.3 >>

Skicka en rättelse